Sign inGet started

Workspaces

GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
List of results.
Mostrar atributos secundarios
results.id
string
obligatorio
Workspace ID.
results.organizationId
string
obligatorio
ID of the organization this workspace is part of.
results.status
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
Mostrar atributos secundarios
results.statusTransitions.fromStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
obligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
obligatorio
results.statusTransitions.transitionedBy
object
obligatorio
Mostrar atributos secundarios
results.statusTransitions.transitionedBy.id
string
obligatorio
results.statusTransitions.transitionedBy.type
string
obligatorio
Possible values: user, accesskey, contact
results.name
string
obligatorio
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
obligatorio
The data storage policy for a resource.
Mostrar atributos secundarios
results.dataPolicy.group
string
obligatorio
The name of the region group used for storage.
results.dataPolicy.regions
array of object
obligatorio
Mostrar atributos secundarios
results.dataPolicy.regions.region
string
obligatorio
The name of the AWS region.
results.dataPolicy.regions.priority
integer
obligatorio
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
obligatorio
Possible values: default, strict
results.configuration
object
Mostrar atributos secundarios
results.configuration.domain
string
Domain name.
results.createdAt
string
obligatorio
When the workspace was created.
results.updatedAt
string
obligatorio
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
Cuerpo de la solicitud
name
string
obligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatorio
The data storage policy for a resource.
Mostrar parámetros secundarios
dataPolicy.group
string
obligatorio
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
obligatorio
Mostrar parámetros secundarios
dataPolicy.regions.region
string
obligatorio
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
obligatorio
The priority to give to this region when storing data.
configuration
object
Mostrar parámetros secundarios
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
Cuerpo de la respuesta
id
string
obligatorio
Workspace ID.
organizationId
string
obligatorio
ID of the organization this workspace is part of.
status
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostrar atributos secundarios
statusTransitions.fromStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatorio
statusTransitions.transitionedBy
object
obligatorio
Mostrar atributos secundarios
statusTransitions.transitionedBy.id
string
obligatorio
statusTransitions.transitionedBy.type
string
obligatorio
Possible values: user, accesskey, contact
name
string
obligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatorio
The data storage policy for a resource.
Mostrar atributos secundarios
dataPolicy.group
string
obligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatorio
Mostrar atributos secundarios
dataPolicy.regions.region
string
obligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatorio
Possible values: default, strict
configuration
object
Mostrar atributos secundarios
configuration.domain
string
Domain name.
createdAt
string
obligatorio
When the workspace was created.
updatedAt
string
obligatorio
When the workspace was last updated.
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
Cuerpo de la respuesta
id
string
obligatorio
Workspace ID.
organizationId
string
obligatorio
ID of the organization this workspace is part of.
status
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostrar atributos secundarios
statusTransitions.fromStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatorio
statusTransitions.transitionedBy
object
obligatorio
Mostrar atributos secundarios
statusTransitions.transitionedBy.id
string
obligatorio
statusTransitions.transitionedBy.type
string
obligatorio
Possible values: user, accesskey, contact
name
string
obligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatorio
The data storage policy for a resource.
Mostrar atributos secundarios
dataPolicy.group
string
obligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatorio
Mostrar atributos secundarios
dataPolicy.regions.region
string
obligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatorio
Possible values: default, strict
configuration
object
Mostrar atributos secundarios
configuration.domain
string
Domain name.
createdAt
string
obligatorio
When the workspace was created.
updatedAt
string
obligatorio
When the workspace was last updated.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
Cuerpo de la solicitud
name
string
The display name for the workspace
description
string
The description for the workspace
Cuerpo de la respuesta
id
string
obligatorio
Workspace ID.
organizationId
string
obligatorio
ID of the organization this workspace is part of.
status
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Mostrar atributos secundarios
statusTransitions.fromStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatorio
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatorio
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatorio
statusTransitions.transitionedBy
object
obligatorio
Mostrar atributos secundarios
statusTransitions.transitionedBy.id
string
obligatorio
statusTransitions.transitionedBy.type
string
obligatorio
Possible values: user, accesskey, contact
name
string
obligatorio
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatorio
The data storage policy for a resource.
Mostrar atributos secundarios
dataPolicy.group
string
obligatorio
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatorio
Mostrar atributos secundarios
dataPolicy.regions.region
string
obligatorio
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatorio
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatorio
Possible values: default, strict
configuration
object
Mostrar atributos secundarios
configuration.domain
string
Domain name.
createdAt
string
obligatorio
When the workspace was created.
updatedAt
string
obligatorio
When the workspace was last updated.
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'